OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepGeom

# StepGeom_Array2OfCartesianPoint Class Reference

`#include <StepGeom_Array2OfCartesianPoint.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepGeom_Array2OfCartesianPoint (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT | StepGeom_Array2OfCartesianPoint (const Handle(StepGeom_CartesianPoint)&Item, const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT void | Init (const Handle(StepGeom_CartesianPoint)&V)
Standard_EXPORT void | Destroy ()
| ~StepGeom_Array2OfCartesianPoint ()
Standard_EXPORT const StepGeom_Array2OfCartesianPoint & | Assign (const StepGeom_Array2OfCartesianPoint &Other)
const StepGeom_Array2OfCartesianPoint & | operator= (const StepGeom_Array2OfCartesianPoint &Other)
Standard_Integer | ColLength () const
Standard_Integer | RowLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const Handle(StepGeom_CartesianPoint)&Value)
const Handle_StepGeom_CartesianPoint & | Value (const Standard_Integer Row, const Standard_Integer Col) const
const Handle_StepGeom_CartesianPoint & | operator() (const Standard_Integer Row, const Standard_Integer Col) const
Handle_StepGeom_CartesianPoint & | ChangeValue (const Standard_Integer Row, const Standard_Integer Col)
Handle_StepGeom_CartesianPoint & | operator() (const Standard_Integer Row, const Standard_Integer Col)
## Private Member Functions
Standard_EXPORT | StepGeom_Array2OfCartesianPoint (const StepGeom_Array2OfCartesianPoint &AnArray)
Standard_EXPORT void | Allocate ()
## Private Attributes
Standard_Integer | myLowerRow
Standard_Integer | myLowerColumn
Standard_Integer | myUpperRow
Standard_Integer | myUpperColumn
Standard_Boolean | myDeletable
Standard_Address | myData

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_Array2OfCartesianPoint::StepGeom_Array2OfCartesianPoint | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

Standard_EXPORT StepGeom_Array2OfCartesianPoint::StepGeom_Array2OfCartesianPoint | ( | const Handle(StepGeom_CartesianPoint)& | Item,
|  | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

StepGeom_Array2OfCartesianPoint::~StepGeom_Array2OfCartesianPoint | ( |  | ) | `[inline]`

Standard_EXPORT StepGeom_Array2OfCartesianPoint::StepGeom_Array2OfCartesianPoint | ( | const StepGeom_Array2OfCartesianPoint & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void StepGeom_Array2OfCartesianPoint::Allocate | ( |  | ) | `[private]`

Standard_EXPORT const StepGeom_Array2OfCartesianPoint& StepGeom_Array2OfCartesianPoint::Assign | ( | const StepGeom_Array2OfCartesianPoint & | Other | ) |

Handle_StepGeom_CartesianPoint& StepGeom_Array2OfCartesianPoint::ChangeValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |

Standard_Integer StepGeom_Array2OfCartesianPoint::ColLength | ( |  | ) | const

Standard_EXPORT void StepGeom_Array2OfCartesianPoint::Destroy | ( |  | ) |

Standard_EXPORT void StepGeom_Array2OfCartesianPoint::Init | ( | const Handle(StepGeom_CartesianPoint)& | V | ) |

Standard_Integer StepGeom_Array2OfCartesianPoint::LowerCol | ( |  | ) | const

Standard_Integer StepGeom_Array2OfCartesianPoint::LowerRow | ( |  | ) | const

void StepGeom_Array2OfCartesianPoint::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepGeom_Array2OfCartesianPoint::operator new | ( | size_t | size | ) | `[inline]`

void* StepGeom_Array2OfCartesianPoint::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_StepGeom_CartesianPoint& StepGeom_Array2OfCartesianPoint::operator() | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | `[inline]`

const Handle_StepGeom_CartesianPoint& StepGeom_Array2OfCartesianPoint::operator() | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const`[inline]`

const StepGeom_Array2OfCartesianPoint& StepGeom_Array2OfCartesianPoint::operator= | ( | const StepGeom_Array2OfCartesianPoint & | Other | ) | `[inline]`

Standard_Integer StepGeom_Array2OfCartesianPoint::RowLength | ( |  | ) | const

void StepGeom_Array2OfCartesianPoint::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const Handle(StepGeom_CartesianPoint)& | Value
| ) |

Standard_Integer StepGeom_Array2OfCartesianPoint::UpperCol | ( |  | ) | const

Standard_Integer StepGeom_Array2OfCartesianPoint::UpperRow | ( |  | ) | const

const Handle_StepGeom_CartesianPoint& StepGeom_Array2OfCartesianPoint::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const

## Field Documentation

Standard_Address StepGeom_Array2OfCartesianPoint::myData`[private]`

Standard_Boolean StepGeom_Array2OfCartesianPoint::myDeletable`[private]`

Standard_Integer StepGeom_Array2OfCartesianPoint::myLowerColumn`[private]`

Standard_Integer StepGeom_Array2OfCartesianPoint::myLowerRow`[private]`

Standard_Integer StepGeom_Array2OfCartesianPoint::myUpperColumn`[private]`

Standard_Integer StepGeom_Array2OfCartesianPoint::myUpperRow`[private]`

The documentation for this class was generated from the following file:

- StepGeom_Array2OfCartesianPoint.hxx